<template>
  <v-app-bar :elevation="2">
    <v-app-bar-nav-icon @click="drawer"></v-app-bar-nav-icon>
    <v-toolbar-title />
    <template v-slot:append>
        <AppBarMenu/>
      </template>
  </v-app-bar>
</template>

<script setup lang="ts">
  // import { ref } from 'vue'
  import { useDisplay } from 'vuetify'
  import { useDashboardStore } from '../store/dashboard/index.js'
  import AppBarMenu from '../components/AppBarMenu.vue';

  const dashboard = useDashboardStore();
  const { name } = useDisplay()

  const drawer = () => {
    if(name.value == "xs" || name.value == "sm" || name.value == "md"){
      if (dashboard.mini == true) {
        dashboard.setMini(false);
      }

      dashboard.setDrawer(!dashboard.drawer);
    }else{
      if (dashboard.drawer == false) {
        dashboard.setDrawer(true);
      }

      dashboard.setMini(!dashboard.mini);
    }    
  }
</script>